package cn.superdesk.uniorder.dubbo.consumer._dashboard;

import cn.superdesk.uniorder.dto.param._dashboard.TvHeadDataQueryCriteria;
import cn.superdesk.uniorder.dto.param._dashboard.TvMapDataQueryCriteria;
import cn.superdesk.uniorder.dto.vo._dashboard.TvHeadDataVo;
import cn.superdesk.uniorder.dto.vo._dashboard.TvMapDataVo;
import cn.superdesk.uniorder.dubbo.facade._dashboard.DubboTvDashboardService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/9/23 下午3:29
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/9/23 下午3:29
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class TvDashboardDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 3000000, retries = -1)
	private DubboTvDashboardService dubboTvDashboardService;


	public TvHeadDataVo getHeadData(TvHeadDataQueryCriteria queryCriteria) {
		return dubboTvDashboardService.getHeadData(queryCriteria);
	}

	public TvHeadDataVo getHeadDataOct(TvHeadDataQueryCriteria queryCriteria) {
		return dubboTvDashboardService.getHeadDataOct(queryCriteria);
	}

	public List<TvMapDataVo> getMapData(TvMapDataQueryCriteria queryCriteria) {
		return dubboTvDashboardService.getMapData(queryCriteria);
	}

	public List<TvMapDataVo> getMapDataOct(TvMapDataQueryCriteria queryCriteria) {
		return dubboTvDashboardService.getMapDataOct(queryCriteria);
	}
}
